backend:
  name: git-gateway
  repo: gpaulison/finga
  branch: master # Branch to update (optional; defaults to master)

media_folder: source/images/uploads
public_folder: /images/uploads

collections:
  - name: 'job' # Used in routes, ie.: /admin/collections/:slug/edit
    label: 'Job' # Used in the UI
    summary: "{{fields.title}} - {{fields.in_reference}} - {{fields.systemId}} - {{fields.uuid}}"
    folder: 'source/jobs'
    extension: .html.md
    format: frontmatter
    slug: '{{uuid}}-{{title}}'
    create: true # Allow users to create new documents in this collection
    fields: # The fields each document in this collection have
      - {label: Slug, name: slug, widget: hidden, required: true}
      - {label: Title, name: title, widget: string}
      - {label: Deadline, name: deadline, widget: datetime,  date_format: "YYYY.MM.DD",  time_format: "HH:mm"}
      - {label: Work time percentage, name: work_time, widget: number, default: 100}
      - {label: Internal reference(Not public visible), name: in_reference, widget: string}
      - { label: External ID(Brainville), name: uuid, widget: uuid }
      #- {label: System ID, name: systemId, widget: number}
      - {label: Startdate, name: startdate, widget: datetime,  date_format: "YYYY.MM.DD",  time_format: "HH:mm"}
      - {label: Enddate, name: enddate, widget: datetime,  date_format: "YYYY.MM.DD",  time_format: "HH:mm"}
      - {label: Location, name: location, widget: string}
      - {label: Languages, name: languages, widget: 'select', options: ['Swedish', 'English', 'Finnish', 'Norwegian', 'Danish'],multiple: true}
      - label: "Competence area"
        name: "competence_area"
        widget: "select"
        multiple: true
        options:
          - { label: ".Net Developer", value: ".Net Developer" }
          - { label: "2D/3D Artist", value: "2D/3D Artist" }
          - { label: "Accounting / Controller", value: "Accounting / Controller" }
          - { label: "Android", value: "Android" }
          - { label: "Backend Engineer", value: "Backend Engineer" }
          - { label: "BI / DW", value: "BI / DW" }
          - { label: "C / C++", value: "C / C++" }
          - { label: "Cobol / RPG", value: "Cobol / RPG" }
          - { label: "CRM / CMS / ERP", value: "CRM / CMS / ERP" }
          - { label: "CTO / Tech Lead / Lead Developer", value: "CTO / Tech Lead / Lead Developer" }
          - { label: "Data Analyst", value: "Data Analyst" }
          - { label: "Data Engineer", value: "Data Engineer" }
          - { label: "Data Scientist / Machine Learning", value: "Data Scientist / Machine Learning" }
          - { label: "DBA / DBU", value: "DBA / DBU" }
          - { label: "Delphi", value: "Delphi" }
          - { label: "DevOps", value: "DevOps" }
          - { label: "Embedded", value: "Embedded" }
          - { label: "Engineering", value: "Engineering" }
          - { label: "Finance", value: "Finance" }
          - { label: "Flutter", value: "Flutter" }
          - { label: "Fullstack", value: "Fullstack" }
          - { label: "Functional Programming", value: "Functional Programming" }
          - { label: "Gaming", value: "Gaming" }
          - { label: "Golang", value: "Golang" }
          - { label: "Infra / Cloud / Operations / Linux / Network", value: "Infra / Cloud / Operations / Linux / Network" }
          - { label: "Integration Developer", value: "Integration Developer" }
          - { label: "iOS", value: "iOS" }
          - { label: "Java Developer", value: "Java Developer" }
          - { label: "Javascript Engineer / Frontend", value: "Javascript Engineer / Frontend" }
          - { label: "Marketing", value: "Marketing" }
          - { label: "PHP", value: "PHP" }
          - { label: "Procurement", value: "Procurement" }
          - { label: "Product Manager / Product Owner", value: "Product Manager / Product Owner" }
          - { label: "Project Manager / Business Analyst", value: "Project Manager / Business Analyst" }
          - { label: "Python / Perl", value: "Python / Perl" }
          - { label: "React Native", value: "React Native" }
          - { label: "RPA / UiPath", value: "RPA / UiPath" }
          - { label: "Ruby", value: "Ruby" }
          - { label: "Rust", value: "Rust" }
          - { label: "Scala", value: "Scala" }
          - { label: "Scrum Master / Agile Coach / Team Coach", value: "Scrum Master / Agile Coach / Team Coach" }
          - { label: "Security", value: "Security" }
          - { label: "Solution Architect", value: "Solution Architect" }
          - { label: "SRE", value: "SRE" }
          - { label: "Tech Writer", value: "Tech Writer" }
          - { label: "Test / QA", value: "Test / QA" }
          - { label: "Test Automation", value: "Test Automation" }
          - { label: "Unity", value: "Unity" }
          - { label: "UX / UI", value: "UX / UI" }
          - { label: "UX Researcher", value: "UX Researcher" }
          - { label: "UX Writer", value: "UX Writer" }
      - {label: Required skills(required), name: required_skills, widget: list, required: true}
      - {label: Seniority level, name: seniority_level, widget: 'select', options: ['Entry', 'Junior', 'Mid-level', 'Senior', 'Lead']}
      - {label: Remote %, name: remote, widget: number, default: 0}
      - {label: Publish Date, name: date, widget: datetime, date_format: "YYYY.MM.DD",  time_format: "HH:mm"}
      - {label: Body, name: body, widget: markdown}
      - {label: Attach files, name: attach_files, widget: file, allow_multiple: true, media_folder: /source/files, required: false }
